osgDB::BaseCompressor Class Referenceabstract

`#include <ObjectWrapper>`

Inheritance diagram for osgDB::BaseCompressor:

## Public Member Functions

| BaseCompressor ()
void | setName (const std::string &name)
const std::string & | getName () const
virtual bool | compress (std::ostream &, const std::string &)=0
virtual bool | decompress (std::istream &, std::string &)=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

std::string | _name
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## BaseCompressor()

osgDB::BaseCompressor::BaseCompressor | ( |  | ) |

inline

## Member Function Documentation

## compress()

virtual bool osgDB::BaseCompressor::compress | ( | std::ostream & | ,
|  | const std::string & | )

pure virtual

## decompress()

virtual bool osgDB::BaseCompressor::decompress | ( | std::istream & | ,
|  | std::string & | )

pure virtual

## getName()

const std::string & osgDB::BaseCompressor::getName | ( |  | ) | const

inline

References _name.

## setName()

void osgDB::BaseCompressor::setName | ( | const std::string & | name | ) |

inline

References _name.

## Member Data Documentation

## _name

std::string osgDB::BaseCompressor::_name

protected

Referenced by getName(), and setName().

The documentation for this class was generated from the following file:

- ObjectWrapper